/* Conversion from and to ISIRI-3342.
   Copyright (C) 1999-2022 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, see
   <https://www.gnu.org/licenses/>.  */

#include <stdint.h>

/* Specify the conversion table.  */
#define TABLES <isiri-3342.h>

#define CHARSET_NAME	"ISIRI-3342//"
#define HAS_HOLES	1

/* 0x80 really maps to 0x0000.  */
#define NONNUL(c)	((c) != '\0' && (c) != 0x80)

#include <8bit-gap.c>
